List campaigns
- http
- shell
- python
- php
- C#
GET /me/campaigns?page=2 HTTP/1.1
Accept: application/vnd.aplazame.v1+json
Authorization: Bearer api_private_key
Host: api.aplazame.com
$ curl "https://api.aplazame.com/me/campaigns" \
-H "Accept: application/vnd.aplazame.v1+json" \
-H "Authorization: Bearer api_private_key"
import aplazame_sdk
client = aplazame_sdk.Client('api_private_key')
# Merchant request
response = client.merchant_request('campaigns', ':merchantId')
# Current merchant
response = client.campaigns()
use Aplazame\Api\Client as AplazameClient;
$aplazameClient = new AplazameClient(
"https://api.aplazame.com",
AplazameClient::ENVIRONMENT_PRODUCTION,
"api_private_key"
);
$result = $aplazameClient->get("/me/campaigns");
using Aplazame.Api;
Client client = new Client(
"https://api.aplazame.com",
Client.EnvironmentProduction,
"api_private_key"
);
dynamic result = client.Get($"/me/campaigns");
info
See pagination docs
Response
HTTP/1.1 200 OK
Content-Type: application/json
X-Aplazame-Media-Type: aplazame.v1
{
"cursor": {
"after": 3,
"before": 1
},
"paging": {
"count": 314,
"next": "https://api.aplazame.com/me/campaigns?page=3",
"previous": "https://api.aplazame.com/me/campaigns?page=1"
},
"results": [
]
}
| Parameter | Type | Description |
|---|---|---|
| cursor | object | Pagination cursor object |
| paging | object | Pagination status |
| results | collection | List of campaigns |